<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
Uses of Class org.apache.commons.httpclient.HttpState (HttpClient 3.1 API)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class org.apache.commons.httpclient.HttpState (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient//class-useHttpState.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpState.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.commons.httpclient.HttpState</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.commons.httpclient"><B>org.apache.commons.httpclient</B></A></TD>
<TD>Classes and interfaces supporting the client side of the HTTP protocol.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.commons.httpclient.auth"><B>org.apache.commons.httpclient.auth</B></A></TD>
<TD>Provides implementation of various authentication schemes as well as 
      utility classes that can be used to authenticate HTTP requests.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.commons.httpclient.methods"><B>org.apache.commons.httpclient.methods</B></A></TD>
<TD>Classes implementing <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient"><CODE>HttpMethod</CODE></A> for the base HTTP methods.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.commons.httpclient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A> in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A> that return <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></CODE></FONT></TD>
<TD><CODE><B>ProxyClient.</B><B><A HREF="../../../../../org/apache/commons/httpclient/ProxyClient.html#getState()">getState</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><CODE>HTTP state</CODE></A> associated with the ProxyClient.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></CODE></FONT></TD>
<TD><CODE><B>HttpClient.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpClient.html#getState()">getState</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><CODE>HTTP state</CODE></A> associated with the HttpClient.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A> with parameters of type <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConnectMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/ConnectMethod.html#addCookieRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addCookieRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                       <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This method does nothing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addCookieRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addCookieRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                       <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates <tt>Cookie</tt> request headers for those <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>cookie</CODE></A>s
 that match the given host, port and path.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addHostRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addHostRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                     <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates <tt>Host</tt> request header, as long as no <tt>Host</tt> request
 header already exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addProxyConnectionHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addProxyConnectionHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                         <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates <tt>Proxy-Connection: Keep-Alive</tt> request header when 
 communicating via a proxy server.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConnectMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/ConnectMethod.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Populates the request headers map to with additional <A HREF="../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>headers</CODE></A> to be submitted to the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>HttpConnection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates all the required request <A HREF="../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>header</CODE></A>s 
 to be submitted via the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addUserAgentRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addUserAgentRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                          <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates default <tt>User-Agent</tt> request header, as long as no
 <tt>User-Agent</tt> request header already exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>ConnectMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/ConnectMethod.html#execute(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">execute</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
        <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Execute this method and create a tunneled HttpConnection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#execute(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">execute</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
        <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes this method using the specified <code>HttpConnection</code> and
 <code>HttpState</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>HttpMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#execute(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">execute</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
        <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;connection)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes this method using the specified <code>HttpConnection</code> and
 <code>HttpState</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>HttpClient.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpClient.html#executeMethod(org.apache.commons.httpclient.HostConfiguration, org.apache.commons.httpclient.HttpMethod, org.apache.commons.httpclient.HttpState)">executeMethod</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient">HostConfiguration</A>&nbsp;hostconfig,
              <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
              <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes the given <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient"><CODE>HTTP method</CODE></A> using the given custom 
 <A HREF="../../../../../org/apache/commons/httpclient/HostConfiguration.html" title="class in org.apache.commons.httpclient"><CODE>host configuration</CODE></A> with the given custom 
 <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><CODE>HTTP state</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processCookieHeaders(org.apache.commons.httpclient.cookie.CookieSpec, org.apache.commons.httpclient.Header[], org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processCookieHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A>&nbsp;parser,
                     <A HREF="../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient">Header</A>[]&nbsp;headers,
                     <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                     <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This method processes the specified cookie headers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                    <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This method is invoked immediately after 
 <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)"><CODE>HttpMethodBase.readResponseBody(HttpState,HttpConnection)</CODE></A> and can be overridden by
 sub-classes in order to provide custom body processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                       <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This method is invoked immediately after 
 <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)"><CODE>HttpMethodBase.readResponseHeaders(HttpState,HttpConnection)</CODE></A> and can be overridden by
 sub-classes in order to provide custom response headers processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processStatusLine</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This method is invoked immediately after 
 <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)"><CODE>HttpMethodBase.readStatusLine(HttpState,HttpConnection)</CODE></A> and can be overridden by
 sub-classes in order to provide custom response status line processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponse(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponse</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads the response from the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Read the response body from the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>HttpConnection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                    <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads the response headers from the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readStatusLine</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
               <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Read the status line from the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>HttpConnection</CODE></A>, setting my
 <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusCode()"><CODE>status code</CODE></A> and <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusText()"><CODE>status
 text</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ProxyClient.</B><B><A HREF="../../../../../org/apache/commons/httpclient/ProxyClient.html#setState(org.apache.commons.httpclient.HttpState)">setState</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><CODE>HTTP state</CODE></A> for the ProxyClient.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpClient.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpClient.html#setState(org.apache.commons.httpclient.HttpState)">setState</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><CODE>HTTP state</CODE></A> for the HttpClient.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequest(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequest</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Sends the request via the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the request body to the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                    <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the request headers to the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConnectMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/ConnectMethod.html#writeRequestLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestLine</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Special Connect request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpMethodBase.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestLine</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the request line to the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.commons.httpclient.auth"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A> in <A HREF="../../../../../org/apache/commons/httpclient/auth/package-summary.html">org.apache.commons.httpclient.auth</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/auth/package-summary.html">org.apache.commons.httpclient.auth</A> with parameters of type <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>HttpAuthenticator.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/HttpAuthenticator.html#authenticate(org.apache.commons.httpclient.auth.AuthScheme, org.apache.commons.httpclient.HttpMethod, org.apache.commons.httpclient.HttpConnection, org.apache.commons.httpclient.HttpState)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A>&nbsp;authscheme,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use AuthScheme</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>HttpAuthenticator.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/HttpAuthenticator.html#authenticateDefault(org.apache.commons.httpclient.HttpMethod, org.apache.commons.httpclient.HttpConnection, org.apache.commons.httpclient.HttpState)">authenticateDefault</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
                    <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn,
                    <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use AuthScheme</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>HttpAuthenticator.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/HttpAuthenticator.html#authenticateProxy(org.apache.commons.httpclient.auth.AuthScheme, org.apache.commons.httpclient.HttpMethod, org.apache.commons.httpclient.HttpConnection, org.apache.commons.httpclient.HttpState)">authenticateProxy</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A>&nbsp;authscheme,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use AuthScheme</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>HttpAuthenticator.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/HttpAuthenticator.html#authenticateProxyDefault(org.apache.commons.httpclient.HttpMethod, org.apache.commons.httpclient.HttpConnection, org.apache.commons.httpclient.HttpState)">authenticateProxyDefault</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
                         <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn,
                         <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use AuthScheme</I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.commons.httpclient.methods"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A> in <A HREF="../../../../../org/apache/commons/httpclient/methods/package-summary.html">org.apache.commons.httpclient.methods</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/methods/package-summary.html">org.apache.commons.httpclient.methods</A> with parameters of type <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>MultipartPostMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/MultipartPostMethod.html#addContentLengthRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addContentLengthRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                              <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Adds a <tt>Content-Length</tt> request header, as long as no 
 <tt>Content-Length</tt> request header already exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>EntityEnclosingMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#addContentLengthRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addContentLengthRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                              <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates <tt>Content-Length</tt> or <tt>Transfer-Encoding: Chunked</tt>
 request header, as long as no <tt>Content-Length</tt> request header
 already exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>MultipartPostMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/MultipartPostMethod.html#addContentTypeRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addContentTypeRequestHeader</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                            <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Adds a <tt>Content-Type</tt> request header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>MultipartPostMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/MultipartPostMethod.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Populates the request headers map to with additional 
 <A HREF="../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>headers</CODE></A> to be submitted to 
 the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>HttpConnection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ExpectContinueMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/ExpectContinueMethod.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the <tt>Expect</tt> header if it has not already been set, 
 in addition to the "standard" set of headers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>EntityEnclosingMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                  <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Populates the request headers map to with additional 
 <A HREF="../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>headers</CODE></A> to be submitted to 
 the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>HttpConnection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>OptionsMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#processResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                       <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 This implementation will parse the <tt>Allow</tt> header to obtain 
 the set of methods supported by the resource identified by the Request-URI.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HeadMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/HeadMethod.html#readResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Overrides <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient"><CODE>HttpMethodBase</CODE></A> method to <i>not</i> read a response
 body, despite the presence of a <tt>Content-Length</tt> or
 <tt>Transfer-Encoding</tt> header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>MultipartPostMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/MultipartPostMethod.html#writeRequestBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Writes the request body to the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>EntityEnclosingMethod.</B><B><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#writeRequestBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the request body to the given <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient//class-useHttpState.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpState.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
